#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){

  ofSetVerticalSync(true);
	
	ofBackground(0, 0, 0);
	moustache.loadImage("moustache.jpg");
	moustache.setImageType(OF_IMAGE_GRAYSCALE);
	
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
	
	ofSetColor(255,255,255);
	moustache.draw(819,0);
	
	unsigned char * pixels = moustache.getPixels();
	
	ofSetRectMode(OF_RECTMODE_CENTER);
	
	ofSetColor(255,255,255);
	for (int i = 0; i < moustache.width; i = i + 10){
		for (int j = 0; j < moustache.height; j = j + 10){
			
			int brightnessOfPixel	= pixels[j*moustache.width + i];
			float pct				= (float) brightnessOfPixel / 255.0;
			
      // zach's circle draw method
			//ofSetColor(brightnessOfPixel, brightnessOfPixel, brightnessOfPixel);
			//ofCircle(i, j, 10 * pct);
      
      // zach's circle draw method - animated
			//ofSetColor(brightnessOfPixel, brightnessOfPixel, brightnessOfPixel);
			//ofCircle( i, j, 10.0 * pct *  sin(ofGetElapsedTimef()*i*j/5000)  );
      
      // triangle draw method
			ofSetColor(brightnessOfPixel+i/10.0, brightnessOfPixel+j/10.0, 255-brightnessOfPixel+i*j/2.0);
      ofTriangle(i, j, i+10, j, i+10, j+10);
			ofSetColor(brightnessOfPixel+i/5.0, brightnessOfPixel+j/5.0, 255-brightnessOfPixel+i*j/5.0);
      ofTriangle(i, j, i, j+10, i+10, j+10);
      
      // animated triangle draw method
//      ofSetColor(brightnessOfPixel+i/10.0, brightnessOfPixel+j/10.0, 255-brightnessOfPixel+i*j/2.0);
//      ofTriangle(i, j, i+10, j, i+10, j+10);
//      ofSetColor(brightnessOfPixel+i/(5.0*sin(ofGetElapsedTimef())), brightnessOfPixel+j/(5.0*sin(ofGetElapsedTimef())), 255-brightnessOfPixel+i*j/(5.0*sin(ofGetElapsedTimef())));
//      ofTriangle(i, j, i, j+10, i+10, j+10);
      
      // circle on circle method
        //ofSetColor(brightnessOfPixel+i/10.0, brightnessOfPixel+j/10.0, 255-brightnessOfPixel+i*j/2.0);
        //ofCircle(i, j, 8);

      
			
      // zach's rotated rectangle method
      /*
			ofPushMatrix();
				ofTranslate(i, j, 0);
				ofRotateZ(pct * 90);
				//ofRotateZ(pct * mouseX);  // fun! 
				ofRect(0,0,10,3);
			ofPopMatrix();
			*/
			
			
		}
	}
				   
	ofSetRectMode(OF_RECTMODE_CORNER);		// return the mode to corner, 
											// since we draw the image, above, and want to draw in corner mode...
	
	
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

